Skip to content

Lan Multicast ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridLanMulticastsGETGet lan multicast list
createLanMulticastPOSTCreate new lan multicast
deleteLanMulticastDELETEDelete an existing lan multicast
modifyLanMulticastPATCHModify a lan multicast

getGridLanMulticasts ​

GET /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts

Get lan multicast list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridLanMulticasts",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get lan multicast list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createLanMulticast ​

POST /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts

Create new lan multicast

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema LanMulticastVO

FieldTypeRequiredDescription
idstringnoThe primary id of the multicast snooping.
namestringnoThe name of the multicast snooping.
networksarray<NetworkVO>noThe collection of snooping network ids related to this multicast snooping config.
protocolintegernoWhen multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type.
unknownMulticastRuleintegernoWhen it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first.
unknownMulticastExceptDeviceUnknownMulticastConfigVOno(UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO")
floodKnownEnablebooleannoWhether open flood known protocols.
querierEnablebooleannoWhether open querier.
routerPortEnablebooleannoWhether open manual router port config.
resourceintegernoresource
routerPortsarray<RouterPortVO>noThe specific list of router ports info,including network, devices and the ports on them.
snoopConfigSnoopConfigVOno(SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO")
igmpQueriersarray<IgmpConfigVO>noThe querier configs for IGMP snooping(ipv4).
mldQueriersarray<MldConfigVO>noThe querier configs for MLD snooping(ipv6).
json
// omada_call_operation
{
  "operationId": "createLanMulticast",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

deleteLanMulticast ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts/{multicastId}

Delete an existing lan multicast

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
multicastIdpathstringyeslanMulticastId
json
// omada_call_operation
{
  "operationId": "deleteLanMulticast",
  "params": {
    "siteId": "<siteId>",
    "multicastId": "<multicastId>"
  }
}
Details, permissions and error codes

Delete an existing lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.

modifyLanMulticast ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/lan-multicasts/{multicastId}

Modify a lan multicast

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
multicastIdpathstringyeslanMulticastId

Request body — application/json (required) — schema LanMulticastVO

FieldTypeRequiredDescription
idstringnoThe primary id of the multicast snooping.
namestringnoThe name of the multicast snooping.
networksarray<NetworkVO>noThe collection of snooping network ids related to this multicast snooping config.
protocolintegernoWhen multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type.
unknownMulticastRuleintegernoWhen it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first.
unknownMulticastExceptDeviceUnknownMulticastConfigVOno(UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO")
floodKnownEnablebooleannoWhether open flood known protocols.
querierEnablebooleannoWhether open querier.
routerPortEnablebooleannoWhether open manual router port config.
resourceintegernoresource
routerPortsarray<RouterPortVO>noThe specific list of router ports info,including network, devices and the ports on them.
snoopConfigSnoopConfigVOno(SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO")
igmpQueriersarray<IgmpConfigVO>noThe querier configs for IGMP snooping(ipv4).
mldQueriersarray<MldConfigVO>noThe querier configs for MLD snooping(ipv6).
json
// omada_call_operation
{
  "operationId": "modifyLanMulticast",
  "params": {
    "siteId": "<siteId>",
    "multicastId": "<multicastId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a lan multicast
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.